[BUGFIX] Install tool: Warning in upgrade wizard 16/21516/2
authorChristian Kuhn <lolli@schwarzbu.ch>
Wed, 19 Jun 2013 20:48:23 +0000 (22:48 +0200)
committerChristian Kuhn <lolli@schwarzbu.ch>
Wed, 19 Jun 2013 20:54:48 +0000 (22:54 +0200)
commit76e5255ef540e2c593203295cc0737647bde8288
tree6ff9dfe345f418850febd8d0df69faa99621aa5c
parentdf90964ef72b851393f8e32213e1ff72a2d35861
[BUGFIX] Install tool: Warning in upgrade wizard

The 'silent' cache framework table upgrade throws a warning that
explode() expects a string but an array is given in
SqlSchemaMigration getStatementArray(). The upgrade wizard uses
a wrong API call, since this method is already called within
getExpectedDatabaseSchema() of the helper class.

Change-Id: I6cdde020265e730faa07a25ebda41917672ccea7
Resolves: #49265
Related: #49162
Releases: 6.2
Reviewed-on: https://review.typo3.org/21516
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
typo3/sysext/install/Classes/Controller/Action/Tool/UpdateWizard.php